package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备配置（控制抓拍一体机）对象 equipment_configuration
 * 
 * @author ruoyi
 * @date 2024-08-13
 */
public class EquipmentConfiguration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备ID */
    private Long equipmentId;

    /** 登录账号 */
    @Excel(name = "登录账号")
    private String loginName;

    /** 登录密码 */
    @Excel(name = "登录密码")
    private String loginPwd;

    /** 设备名称（必须和设备实际配置一样） */
    @Excel(name = "设备名称", readConverterExp = "必=须和设备实际配置一样")
    private String equipmentName;

    /** 设备端口（设备8000端口的外网映射端口） */
    @Excel(name = "设备端口", readConverterExp = "设=备8000端口的外网映射端口")
    private String equipmentPort;

    /** 设备ip（映射的外网ip） */
    @Excel(name = "设备ip", readConverterExp = "映=射的外网ip")
    private String equipmentIp;

    public void setEquipmentId(Long equipmentId) 
    {
        this.equipmentId = equipmentId;
    }

    public Long getEquipmentId() 
    {
        return equipmentId;
    }
    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setLoginPwd(String loginPwd) 
    {
        this.loginPwd = loginPwd;
    }

    public String getLoginPwd() 
    {
        return loginPwd;
    }
    public void setEquipmentName(String equipmentName) 
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName() 
    {
        return equipmentName;
    }
    public void setEquipmentPort(String equipmentPort) 
    {
        this.equipmentPort = equipmentPort;
    }

    public String getEquipmentPort() 
    {
        return equipmentPort;
    }
    public void setEquipmentIp(String equipmentIp) 
    {
        this.equipmentIp = equipmentIp;
    }

    public String getEquipmentIp() 
    {
        return equipmentIp;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("equipmentId", getEquipmentId())
            .append("loginName", getLoginName())
            .append("loginPwd", getLoginPwd())
            .append("equipmentName", getEquipmentName())
            .append("equipmentPort", getEquipmentPort())
            .append("equipmentIp", getEquipmentIp())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
